MyGUI: MyGUI::delegates::MultiDelegate< Args > Class Template Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::MultiDelegate< Args > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::MultiDelegate< Args >:
[legend]

## Public Types
using | IDelegate = DelegateFunction<Args...>
using | ListDelegate = typename std::list<IDelegate*>

## Public Member Functions
| MultiDelegate ()
| ~MultiDelegate ()
bool | empty () const
void | clear ()
void | clear (IDelegateUnlink *_unlink)
void | operator+= (IDelegate *_delegate)
void | operator-= (IDelegate *_delegate)
void | operator() (Args... args) const
| MultiDelegate (const MultiDelegate &_event)
MultiDelegate & | operator= (const MultiDelegate &_event)
MultiDelegate & | operator= (IDelegate *_delegate)

## Detailed Description

template<typename ... Args>
class MyGUI::delegates::MultiDelegate< Args >

Definition at line 199 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ IDelegate

template<typename ... Args>

using MyGUI::delegates::MultiDelegate< Args >::IDelegate = DelegateFunction<Args...>

Definition at line 202 of file MyGUI_Delegate.h.

## ◆ ListDelegate

template<typename ... Args>

using MyGUI::delegates::MultiDelegate< Args >::ListDelegate = typename std::list<IDelegate*>

Definition at line 203 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ MultiDelegate() [1/2]

template<typename ... Args>

MyGUI::delegates::MultiDelegate< Args >::MultiDelegate | ( |  | ) |
| inline

Definition at line 205 of file MyGUI_Delegate.h.

## ◆ ~MultiDelegate()

template<typename ... Args>

MyGUI::delegates::MultiDelegate< Args >::~MultiDelegate | ( |  | ) |
| inline

Definition at line 206 of file MyGUI_Delegate.h.

## ◆ MultiDelegate() [2/2]

template<typename ... Args>

MyGUI::delegates::MultiDelegate< Args >::MultiDelegate | ( | const MultiDelegate< Args > & | _event | ) |
| inline

Definition at line 287 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ clear() [1/2]

template<typename ... Args>

void MyGUI::delegates::MultiDelegate< Args >::clear | ( |  | ) |
| inline

Definition at line 220 of file MyGUI_Delegate.h.

## ◆ clear() [2/2]

template<typename ... Args>

void MyGUI::delegates::MultiDelegate< Args >::clear | ( | IDelegateUnlink * | _unlink | ) |
| inline

Definition at line 232 of file MyGUI_Delegate.h.

## ◆ empty()

template<typename ... Args>

bool MyGUI::delegates::MultiDelegate< Args >::empty | ( |  | ) | const
| inline

Definition at line 211 of file MyGUI_Delegate.h.

## ◆ operator()()

template<typename ... Args>

void MyGUI::delegates::MultiDelegate< Args >::operator() | ( | Args... | args | ) | const
| inline

Definition at line 270 of file MyGUI_Delegate.h.

## ◆ operator+=()

template<typename ... Args>

void MyGUI::delegates::MultiDelegate< Args >::operator+= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 244 of file MyGUI_Delegate.h.

## ◆ operator-=()

template<typename ... Args>

void MyGUI::delegates::MultiDelegate< Args >::operator-= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 256 of file MyGUI_Delegate.h.

## ◆ operator=() [1/2]

template<typename ... Args>

MultiDelegate & MyGUI::delegates::MultiDelegate< Args >::operator= | ( | const MultiDelegate< Args > & | _event | ) |
| inline

Definition at line 298 of file MyGUI_Delegate.h.

## ◆ operator=() [2/2]

template<typename ... Args>

MultiDelegate & MyGUI::delegates::MultiDelegate< Args >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Deprecated
  "use : operator += "

Definition at line 312 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h